SimpleCompAppendTokenManager
Keywords: uk.ac.bbk.dcs.automed.qproc.annotate.grammars.simpleCompAppend.SimpleCompAppendTokenManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.annotate.grammars.simpleCompAppend
Class SimpleCompAppendTokenManager

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.annotate.grammars.simpleCompAppend.SimpleCompAppendTokenManager

All Implemented Interfaces:
  SimpleCompAppendConstants

    public class SimpleCompAppendTokenManager

extends java.lang.Object
implements SimpleCompAppendConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`protected SimpleCharStream` | `input_stream`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface uk.ac.bbk.dcs.automed.qproc.annotate.grammars.simpleCompAppend.SimpleCompAppendConstants
`APPEND, BCOMP, BOOLTOKEN, COMMA, COMP, COMPARISONTOKEN, CONSTOKEN, DEFAULT, EOF, LCOMP, NUMTOKEN, SCOMP, STRTOKEN, SYSVARTOKEN, tokenImage, VARTOKEN, WRAPPERTOKEN`

Constructor Summary
`SimpleCompAppendTokenManager(SimpleCharStream stream)`
`SimpleCompAppendTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### SimpleCompAppendTokenManager

    public SimpleCompAppendTokenManager(SimpleCharStream stream)

### SimpleCompAppendTokenManager

    public SimpleCompAppendTokenManager(SimpleCharStream stream,
                                        int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD